<?
include_once(_DIR_EXT.'/HTML/c_page_XML_AJAX.php');;
class c_page_ajax extends c_page_XML_AJAX
{
     function show_notife()
     {
         $this->add_element('show_notife','тест уведомления') ;
     }

     function show_notife_red()
     {
         $this->add_element('show_notife','тест уведомления, красный цвет',array('color'=>'red')) ;
     }

     function show_notife_green()
     {
         $this->add_element('show_notife','тест уведомления, зеленый цвет',array('color'=>'green')) ;
     }

     // стандарная инфа по содержимому корзины
     function demo_ajax_request()
     { ?><h2>POST:</h2><?
       damp_array($_POST,1,-1) ;
     }

     // стандарная инфа по содержимому корзины
     function demo_ajax_check()
     { $value=$_POST['value'] ;
       $this->add_element('len',strlen($value)) ;
     }

     function demo_ajax_request_JS_code()
     {
        $this->add_element('success','modal_window') ;
        $this->add_element('title','Модальное окно с JS кодом') ;
        ?><p>В тексте модального окна делаем вставку JS кода</p>
          <button class="v2" ext="mBox" cmd="demo_ajax_request_from_modal_window">Сделать AJAX-запрос</button>
          <script type="text/javascript">
            $j('div#test_demo_ajax_request_JS_code').html('Изменяем содержимое блока') ;
          </script>
        <?

     }

     function open_modal_window()
     {   ?><div class="center"><button class="cancel">Закрыть</button></div><?
         $this->add_element('show_modal_window','HTML',array('title'=>'Простое модальное окно')) ;
     }

     function open_modal_window2()
     {
         ?><p>Для продолжения нажмите "Далее"</p>
           <div class="center">
               <button class="cancel">Закрыть</button>
               <button class="v2" cmd="mBox/open_modal_window2_step2">Далее</button>
           </div><?
         $this->add_element('show_modal_window','HTML',array('title'=>'Модальное окно с открытие второго модального окна')) ;
     }

     function open_modal_window2_step2()
     {
         ?><p>Вы открыли второе модальное окно</p>
           <p>В нем доступны все стандарные AJAX-операции</p>
           <br>
           <div class="center">
               <button class="cancel">Закрыть</button>
               <button class="v2" cmd="mBox/update_time">Обновить время на странице</button>
           </div><?
         $this->add_element('show_modal_window','HTML',array('title'=>'Модальное окно с открытие второго модального окна')) ;
     }

     function update_time()
     {
         $this->add_element('current_time.HTML',date('d.m.Y H:i:s')) ;
     }

     function show_form_values()
     {
         damp_array($_POST,1,-1) ;
         $this->add_element('current_time.HTML',date('d.m.Y H:i:s')) ;
         ?><div class="center"><button class="cancel">Закрыть</button></div><?
         $this->add_element('show_modal_window','HTML',array('title'=>'Отправленые значения формы')) ;
     }

     function show_button_values()
     {
         damp_array($_POST,1,-1) ;
         ?><div class="center"><button class="cancel">Закрыть</button></div><?
         $this->add_element('show_modal_window','HTML',array('title'=>'Отправленые значения кнопки')) ;
     }


}
